/*############################################################################
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        28.05.2004
 Description:    
############################################################################*/

#include <main.h>
#include <handy.h>
#include <util/delay.h> // Test


//############################################################################
//Routine fr die Serielle Ausgabe
int uart_putchar (char c){
//############################################################################
	if (c == '\n')
		uart_putchar('\r');
	//Warten solange bis Zeichen gesendet wurde
	while(!(USR & (1<<UDRE)));
	//Ausgabe des Zeichens
	UDR = c;
	return (0);
};
//############################################################################
//Routine fr die Serielle Ausgabe
int uart_getchar (void){
//############################################################################
	while(!(USR & (1<<RXC)));
	return(UDR);
};

//############################################################################
//Routine fr die Serielle Ausgabe
void uart_clear (void){
//############################################################################
	unsigned char a;
	for (char c=0;c<10;c++){	
		a = UDR;
	}
};

//############################################################################
//INstallation der Seriellen Schnittstelle
void Handy_Init (void){
//############################################################################
	//Enable TXEN im Register UCR TX-Data Enable
	UCR=(1 << TXEN | 1<<RXEN);
	//Teiler wird gesetzt 
	UBRR=(SYSCLK / (BAUD_RATE * 16L) - 1);
	
	//ffnet einen Kanal fr printf (STDOUT)
	fdevopen (uart_putchar, uart_getchar, 0);
};

//############################################################################
void Send_SMS (void){
//############################################################################
	unsigned char i;
	
	//Senden der Endgltigen SMS ans Handy

	printf("at+cmgs=17\r\n");
	
	 for (i=1; i<=200; i++)         
            _delay_ms(10); 
			
		
	printf("0001000B811027789095F6000004D4F29C0E");
	
		 for (i=1; i<=200; i++)         
            _delay_ms(10); 
			
	printf("%c",0x1a);

	 for (i=1; i<=400; i++)         
            _delay_ms(10); 
			
	PORTD &= ~(1 << PIN5); // LED 1 aus
	
};





